<?php

	//Define where you have placed the grid folder.
	define("GRID_SOURCE", "../../");	 
	
	include(GRID_SOURCE."class/gridclasses.php"); //Include the grid engine.
	
	session_start();
	
	$xajax = new xajax();
	include(GRID_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identifying name(s) to your grid(s). Must be unqiue name(s).
	$grid_id = array("grid_view");

	//IMPORTANT! When making changes to the code, you have to uncomment the line //unset($_SESSION["grid_view"]); below during one page load. Or else you wont see the updates.
	//Remember to comment the again line when publishing PHP Grid, or else PHP Grid wont remember the settings between page loads.
	//unset($_SESSION["grid_view"]); 
	include(GRID_SOURCE."class/gridcreate.php"); //Creates grid objects.
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>View Grid</title>
		<?php $xajax->printJavascript(GRID_SOURCE."ajax/framework"); //Enables real-time update. ?>
		<script language="Javascript" type="text/javascript" src="<?php echo GRID_SOURCE; ?>javascript/javascript.js"></script> <!-- enable column resizing -->
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo GRID_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>

	<body onmouseup="SetMouseDown(false);"><!-- to be able to resize grid columns -->
	
		<?php
			//Define your database connection.	
			$_SESSION["grid_view"]->SetDatabaseConnection("your_database", "your_username", "your_password"); //Database, Username, Password, Optional Hostname (defualt is localhost).		
			$_SESSION["grid_view"]->SetSqlSelect("*", "yourtable"); 		//= SELECT * FROM yourtable. A third optional value can be added as the WHERE argument. Sample: $_SESSION["grid_view"]->SetSqlSelect("*", "yourtable", "id < 10");
			$_SESSION["grid_view"]->SetUniqueDatabaseColumn("id", false);	//Define which column in yourtable that is unique and if it should be shown or not. To be able to add rows easy use auto_increment on your unique column. 
			$_SESSION["grid_view"]->PrintGrid(MODE_VIEW);					//Create the grid.	
		?>

	</body> 
</html>


